Get the public status of a request by `referenceId`
curl --request GET \
--url https://{raas-backend-sandbox}/v1/request-money/{referenceId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{raas-backend-sandbox}/v1/request-money/{referenceId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{raas-backend-sandbox}/v1/request-money/{referenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{raas-backend-sandbox}/v1/request-money/{referenceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{raas-backend-sandbox}/v1/request-money/{referenceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{raas-backend-sandbox}/v1/request-money/{referenceId}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{raas-backend-sandbox}/v1/request-money/{referenceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "pending",
"referenceId": "Ab3xY9mK",
"id": "<string>",
"statusDetails": "The operation is pending because the sender has not yet started the process.",
"waLink": "https://wa.me/502123456789?text=Hola%20Juan,%20te%20enviamos%20una%20solicitud%20de%20dinero%20para%20pagar%20tu%20factura%20de%20agua#QWERTY",
"landingLink": "https://landing.com/request-money/qwer-12345"
}{
"message": "<string>"
}{
"error": "not_found",
"message": "No request-money operation exists for this API key and referenceId. Verify the referenceId or create a new request first."
}{
"message": "Validation failed",
"details": {}
}request-money
Get the public status of a request by `referenceId`
Returns the stored remittance aggregate or 404 when no snapshot exists.
GET
/
v1
/
request-money
/
{referenceId}
Get the public status of a request by `referenceId`
curl --request GET \
--url https://{raas-backend-sandbox}/v1/request-money/{referenceId} \
--header 'X-API-Key: <api-key>'import requests
url = "https://{raas-backend-sandbox}/v1/request-money/{referenceId}"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://{raas-backend-sandbox}/v1/request-money/{referenceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{raas-backend-sandbox}/v1/request-money/{referenceId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{raas-backend-sandbox}/v1/request-money/{referenceId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://{raas-backend-sandbox}/v1/request-money/{referenceId}")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://{raas-backend-sandbox}/v1/request-money/{referenceId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"status": "pending",
"referenceId": "Ab3xY9mK",
"id": "<string>",
"statusDetails": "The operation is pending because the sender has not yet started the process.",
"waLink": "https://wa.me/502123456789?text=Hola%20Juan,%20te%20enviamos%20una%20solicitud%20de%20dinero%20para%20pagar%20tu%20factura%20de%20agua#QWERTY",
"landingLink": "https://landing.com/request-money/qwer-12345"
}{
"message": "<string>"
}{
"error": "not_found",
"message": "No request-money operation exists for this API key and referenceId. Verify the referenceId or create a new request first."
}{
"message": "Validation failed",
"details": {}
}Authorizations
Integrator API key.
Path Parameters
Pattern:
^[a-zA-Z0-9]{8}$Response
Public lifecycle status for the operation.
| API value | Display label | Stage / party | Meaning |
|---|---|---|---|
pending | Pending | System / requester | Awaiting payer action. |
processing | Processing | Payer / gateway | Payment in progress; not yet final. |
completed | Completed | Payment gateway | Successfully settled. |
rejected | Rejected | Payer | Payer declined the payment. |
cancelled | Cancelled | Requester | Issuer cancelled the operation or it expired. |
Available options:
pending, processing, completed, rejected, cancelled Example:
"pending"
Partner-provided operation code echoed from the create request (8 alphanumeric characters).
Example:
"Ab3xY9mK"
Details about the status of the operation.
Example:
"The operation is pending because the sender has not yet started the process."
Absolute WhatsApp link for the operation.
Example:
"https://wa.me/502123456789?text=Hola%20Juan,%20te%20enviamos%20una%20solicitud%20de%20dinero%20para%20pagar%20tu%20factura%20de%20agua#QWERTY"
Absolute landing page URL for the operation.
Example:
"https://landing.com/request-money/qwer-12345"